aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthieu MONNIER <matthieu.monnier@enalean.com>2016-09-05 11:24:33 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-09-05 10:53:58 +0000
commit9d6caa6e52f02aa7bf78c5e0942e315c2a30ea61 (patch)
tree2bcd5a967ae626eddaf623609f34ef5ca4907d9d
parent3c3956a49518a177c28f2ba8e1f0f67bcfba38b5 (diff)
downloadaports-9d6caa6e52f02aa7bf78c5e0942e315c2a30ea61.tar.gz
aports-9d6caa6e52f02aa7bf78c5e0942e315c2a30ea61.tar.bz2
aports-9d6caa6e52f02aa7bf78c5e0942e315c2a30ea61.tar.xz
testing/ncmpcpp: move from unmaintained and version bump to 0.7.5
-rw-r--r--testing/ncmpcpp/APKBUILD45
-rw-r--r--unmaintained/ncmpcpp/APKBUILD44
2 files changed, 45 insertions, 44 deletions
diff --git a/testing/ncmpcpp/APKBUILD b/testing/ncmpcpp/APKBUILD
new file mode 100644
index 0000000000..c249ad2937
--- /dev/null
+++ b/testing/ncmpcpp/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Matthieu Monnier <matthieu.monnier@enalean.com>
+pkgname=ncmpcpp
+pkgver=0.7.5
+pkgrel=1
+pkgdesc="An almost exact clone of ncmpc with some new features."
+url="http://rybczak.net/ncmpcpp"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends="boost-dev readline-dev curl-dev libmpdclient-dev
+ taglib-dev ncurses-dev openssl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://rybczak.net/ncmpcpp/stable/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build () {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure \
+ BOOST_LIB_SUFFIX=-mt \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-unicode \
+ --enable-clock \
+ --with-taglib \
+ --with-curl \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="2edae67445a925175e75c223edc95ce7 ncmpcpp-0.7.5.tar.bz2"
+sha256sums="7e4f643020b36698462879013a8b16111f8c3a4c5819cf186aed78032a41e07d ncmpcpp-0.7.5.tar.bz2"
+sha512sums="5f3b370a5a8fdc05e85a7b748debd960c0e76d5b9e43717efceaa985baa0c543d14d8b0fd7b09550111bff3aa66ec290d6cd2c0ec21de7a0caa10df1c68c99c8 ncmpcpp-0.7.5.tar.bz2"
diff --git a/unmaintained/ncmpcpp/APKBUILD b/unmaintained/ncmpcpp/APKBUILD
deleted file mode 100644
index e73ff8a400..0000000000
--- a/unmaintained/ncmpcpp/APKBUILD
+++ /dev/null
@@ -1,44 +0,0 @@
-# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=ncmpcpp
-pkgver=0.6.8
-pkgrel=2
-pkgdesc="An almost exact clone of ncmpc with some new features."
-url="http://ncmpcpp.rybczak.net/"
-arch="all"
-license="GPL2+"
-depends=""
-depends_dev=""
-makedepends="boost-dev readline-dev curl-dev libmpdclient-dev
- taglib-dev ncurses-dev openssl-dev"
-install=""
-subpackages="$pkgname-doc"
-source="http://ncmpcpp.rybczak.net/stable/ncmpcpp-$pkgver.tar.bz2"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-build () {
- cd "$srcdir/$pkgname-$pkgver"
- ./configure \
- --build=$CBUILD \
- --host=$CHOST \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --localstatedir=/var \
- --enable-unicode \
- --enable-clock \
- --with-taglib \
- --with-curl \
- || return 1
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="90b5b22a6365c17bc7d75c05d2117413 ncmpcpp-0.6.8.tar.bz2"
-sha256sums="ee81f3fdb2a4b670b5e2617f6489f154e69a552e68fc550b1e20ad85f526e692 ncmpcpp-0.6.8.tar.bz2"
-sha512sums="e474bd4122212c34d7043adf7b68aeaaa2e9b5a999840b7e8632d251bdab17f5314fca03bdf2b8eee5de2572d3e5c602d87a1f89889ab7c747321e4272f63ebc ncmpcpp-0.6.8.tar.bz2"